package com.its.pis.dao.mapper;

import com.its.pis.entity.TbPisInfr;
import com.its.pis.entity.TbPisInfrStts;
import com.its.pis.entity.TbPisRltnPrlt;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PisInfrMapper {

    List<TbPisInfr>     selectAll();
    List<TbPisInfrStts> selectPisInfrStts();
    List<TbPisRltnPrlt> selectPisRltnPrkPlce();

    int                 updatePisInfrStts(@Param("stts") TbPisInfrStts stts);
    int                 insertPisInfrSttsHs(@Param("stts") TbPisInfrStts stts);
}
